import { App, Plugin } from 'vue';
type SFCWithInstall<T> = T & Plugin;
type NamedComponent = {
    name?: string;
};
export declare function makeInstaller(components: Plugin[]): (app: App) => Plugin[];
export declare const withInstall: <T extends NamedComponent>(component: T) => SFCWithInstall<T>;
export {};
